org.deidentifier.arx.gui.view.impl.common.async

## Class AnalysisContext

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.common.async.AnalysisContext

    public class AnalysisContext
    extends java.lang.Object

This class implements a base class for views that show statistic properties of the data.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`AnalysisContext()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AnalysisData` `getData()` Returns the current context, consisting of a consistent combination of a configuration and a data handle.
`AttributeType.Hierarchy` `getHierarchy(AnalysisData context, java.lang.String attribute)` Returns a generalization hierarchy for the attribute, if available.
`Model` `getModel()` Returns the model.
`ARXPopulationModel` `getPopulationModel()` Returns a population model for the given context
`ModelEvent.ModelPart` `getTarget()` Gets the target.
`void` `setModel(Model model)` Sets the model.
`void` `setTarget(ModelEvent.ModelPart target)` Sets the target.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnalysisContext

    public AnalysisContext()

### Method Detail

#### getData

    public AnalysisData getData()

Returns the current context, consisting of a consistent combination of a configuration and a data handle.

Returns:

#### getHierarchy

    public AttributeType.Hierarchy getHierarchy(AnalysisData context,
                                                java.lang.String attribute)

Returns a generalization hierarchy for the attribute, if available.

Parameters:
  `context` -
  `attribute` -
Returns:

#### getModel

    public Model getModel()

Returns the model.

Returns:

#### getPopulationModel

    public ARXPopulationModel getPopulationModel()

Returns a population model for the given context

Returns:

#### getTarget

    public ModelEvent.ModelPart getTarget()

Gets the target.

Returns:

#### setModel

    public void setModel(Model model)

Sets the model.

Parameters:
  `model` -

#### setTarget

    public void setTarget(ModelEvent.ModelPart target)

Sets the target.

Parameters:
  `target` -